This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 242502 - Wrong init script
Wrong init script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On: 242500
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 11:38 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 10:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-04 11:38:09 EDT
+++ This bug was initially created as a clone of Bug #242500 +++

Description of problem:
krb5 init scripts (kadmin/krb5kdc/krb524) contain incorrect error codes that
also prevent correct invocation of status command. For example
[ ${NETWORKING} = "no" ] && exit 0
appears in all scripts, also
if [ ! -f /var/kerberos/krb5kdc/principal ] ; then
   echo $"Error. Default principal database does not exist."
   exit 0
fi
is not correct... There are more constructions like these in all three scripts.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 Michal Marciniszyn 2007-06-05 07:43:53 EDT
The bug also applies to kprop init script...

Note You need to log in before you can comment on or make changes to this bug.